/************************************************************************/
/*																		*/
/*	util.h -- Common Utility Procedures for the PIC32MX                 */
/*																		*/
/************************************************************************/
/*	Author: Michael T. Alexander										*/
/*	Copyright 2009, Digilent Inc.										*/
/************************************************************************/
/*  Module Description: 												*/
/*																		*/
/*	This header contains declarations for common utility functions.     */
/*																		*/
/************************************************************************/
/*  Revision History:						                			*/
/*											                        	*/
/*	04/28/2009 (MichaelA): created			                			*/
/*	07/07/2009 (MichaelA): added routine for setting LEDs				*/
/*	07/10/2009 (MichaelA): added InitLeds()								*/
/*											                        	*/
/************************************************************************/

#if !defined(_UTIL_INC)
#define	_UTIL_INC

#include "stdtypes.h"


/* ------------------------------------------------------------ */
/*				    	Macro Declarations			    		*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					General Type Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Object Class Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Variable Declarations						*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */

void DelayMs( WORD tmsDelay );
void DelayUs( WORD tusDelay );
void InitLeds( void );
void SetLeds( BYTE stLeds );

/* ------------------------------------------------------------ */


#endif
